From 72b5d4732db219ec84b824ad41074cfc5c07d1a4 Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 09:28:26 -0700
Subject: 02_avoid_version_checking.diff

Patch-Name: 02_avoid_version_checking.diff
---
 bin/kiwi-i18n    | 12 ++++++------
 bin/kiwi-ui-test | 12 ++++++------
 2 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/bin/kiwi-i18n b/bin/kiwi-i18n
index d4d5752..ab0465d 100755
--- a/bin/kiwi-i18n
+++ b/bin/kiwi-i18n
@@ -20,7 +20,7 @@ import os
 import sys
 
 # Required version of Python
-REQUIRED_VERSION = (2, 1)
+#REQUIRED_VERSION = (2, 1)
 
 # Directory name, defaults to name of binary, it is relative to ..
 # a, __init__.py and main.py is expected to be found there.
@@ -33,11 +33,11 @@ APPNAME = None
 dirname = DIRNAME or os.path.split(sys.argv[0])[1]
 appname = APPNAME or dirname.capitalize()
 
-if sys.hexversion < int('%02x%02x0000' % REQUIRED_VERSION, 16):
-    raise SystemExit("ERROR: Python %s or higher is required to run %s, "
-                     "%s found" % ('.'.join(map(str, REQUIRED_VERSION)),
-                                   appname,
-                                   sys.version.split()[0]))
+# if sys.hexversion < int('%02x%02x0000' % REQUIRED_VERSION, 16):
+#     raise SystemExit("ERROR: Python %s or higher is required to run %s, "
+#                      "%s found" % ('.'.join(map(str, REQUIRED_VERSION)),
+#                                    appname,
+#                                    sys.version.split()[0]))
 
 # Figure out the directy which is the prefix
 # path-of-current-file/..
diff --git a/bin/kiwi-ui-test b/bin/kiwi-ui-test
index 491fa9a..fcfe6dd 100755
--- a/bin/kiwi-ui-test
+++ b/bin/kiwi-ui-test
@@ -20,7 +20,7 @@ import os
 import sys
 
 # Required version of Python
-REQUIRED_VERSION = (2, 3)
+#REQUIRED_VERSION = (2, 3)
 
 # Directory name, defaults to name of binary, it is relative to ..
 # a, __init__.py and main.py is expected to be found there.
@@ -33,11 +33,11 @@ APPNAME = None
 dirname = DIRNAME or os.path.split(sys.argv[0])[1]
 appname = APPNAME or dirname.capitalize()
 
-if sys.hexversion < int('%02x%02x0000' % REQUIRED_VERSION, 16):
-    raise SystemExit("ERROR: Python %s or higher is required to run %s, "
-                     "%s found" % ('.'.join(map(str, REQUIRED_VERSION)),
-                                   appname,
-                                   sys.version.split(' ', 1)[0]))
+# if sys.hexversion < int('%02x%02x0000' % REQUIRED_VERSION, 16):
+#     raise SystemExit("ERROR: Python %s or higher is required to run %s, "
+#                      "%s found" % ('.'.join(map(str, REQUIRED_VERSION)),
+#                                    appname,
+#                                    sys.version.split(' ', 1)[0]))
 
 # Figure out the directy which is the prefix
 # path-of-current-file/..
